Laravel - Migrations - Prerequisites

Before modifying a column, you must install the doctrine/dbal package using the Composer package manager. The Doctrine DBAL library is used to determine the current state of the column and to create the SQL queries needed to make the requested changes to your column:

    
    composer require doctrine/dbal
	

If you plan to modify columns created using the timestamp method, you must also add the following configuration to your application's config/database.php configuration file:

    
    use Illuminate\Database\DBAL\TimestampType;
    
    'dbal' => [
        'types' => [
            'timestamp' => TimestampType::class,
        ],
    ],
	
If your application is using Microsoft SQL Server, please ensure that you install doctrine/dbal:^3.0.